org.eclipse.january.dataset

## Interface IMetadataProvider

- All Known Subinterfaces:
    CompoundDataset, Dataset, DateDataset, IDataset, IDynamicDataset, ILazyDataset, ILazyWriteableDataset
  All Known Implementing Classes:
    AbstractCompoundDataset, AbstractDataset, AggregateDataset, BooleanDataset, BooleanDatasetBase, ByteDataset, ComplexDoubleDataset, ComplexFloatDataset, CompoundByteDataset, CompoundDoubleDataset, CompoundFloatDataset, CompoundIntegerDataset, CompoundLongDataset, CompoundShortDataset, DateDatasetImpl, DoubleDataset, FloatDataset, IntegerDataset, LazyDataset, LazyDatasetBase, LazyDynamicDataset, LazyWriteableDataset, LongDataset, ObjectDataset, ObjectDatasetBase, RGBDataset, ShortDataset, StringDataset, StringDatasetBase

      public interface IMetadataProvider

  Interface which acts to provide metadata from an object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<S extends MetadataType,T extends S> S` | `getFirstMetadata(Class<T> clazz)`
    `IMetadata` | `getMetadata()` Deprecated. Use `#getFirstMetadata(IMetadata.class)` instead
    `<S extends MetadataType,T extends S> List<S>` | `getMetadata(Class<T> clazz)`

- - ### Method Detail

    - #### getMetadata

          @Deprecated
          IMetadata getMetadata()
                                throws Exception

      Deprecated. Use `#getFirstMetadata(IMetadata.class)` instead
      Returns:
        an instance of IMetadata
      Throws:
        `Exception`

    - #### getMetadata

          <S extends MetadataType,T extends S> List<S> getMetadata(Class<T> clazz)
                                                   throws MetadataException

      Parameters:
        `clazz` - if null return everything
      Returns:
        list of metadata with given class (or its super interface)
      Throws:
        `MetadataException`

    - #### getFirstMetadata

          <S extends MetadataType,T extends S> S getFirstMetadata(Class<T> clazz)

      Parameters:
        `clazz` - if null return first from everything
      Returns:
        first element from list of metadata with given class (or its super interface)

Copyright © 2017. All rights reserved.